View Issue Details

IDProjectCategoryView StatusLast Update
0002913Ham Radio DeluxeMaintenancepublic2018-11-11 00:34
ReporterPD9FER 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityrandom
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.902 
Summary0002913: LB: 30 Day Solar Data displays blank page (Win 7 only)
DescriptionThis is the same as Mantis# 0002892
After that fix, support got many complaints that the 30 Day Solar Data was giving a grey/bank window.

After research, it turns out to only happen when the OS is Windows 7
Steps To ReproduceInstall Ham Radio Deluxe on a windows 7 OS
When in Logbook go to View > 30 Day solar Data > Display
Additional InformationTicket #198837
TagsNo tags attached.
ModuleLogbook
Sub-ModuleVarious
Testing Beta Successful

Relationships

Activities

PD9FER

2018-10-17 15:42

viewer   ~0006290

The Workaround in Mantis 0002916 also "fixes" this one.

K7ZCZ

2018-10-18 17:42

manager   ~0006294

Turns out the page wasn't blank; the graph frame and legend was still being drawn. It's just that the graph had no data points.

The problem turns out to be that the new web server requested in Mantis 2892 ends up using a TLS version greater than 1.0, which on Windows 7 machines must be explicitly requested. The ragged security story is just another reason why we should drop Windows 7 support as soon as possible.

K7ZCZ

2018-10-18 17:43

manager   ~0006295

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4374

g3ucq

2018-10-19 14:29

viewer   ~0006308

Windows 10 so no problem for me.

PD9FER

2018-11-05 12:17

viewer   ~0006384

Fixed, working as should now

WA9PIE

2018-11-05 12:18

administrator   ~0006385

Verified by the reporter (Ferry)

Issue History

Date Modified Username Field Change
2018-10-08 02:24 PD9FER New Issue
2018-10-17 15:42 PD9FER Note Added: 0006290
2018-10-18 17:42 K7ZCZ Note Added: 0006294
2018-10-18 17:43 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-10-18 17:43 K7ZCZ Assigned To => K7ZCZ
2018-10-18 17:43 K7ZCZ Status new => resolved
2018-10-18 17:43 K7ZCZ Resolution open => fixed
2018-10-18 17:43 K7ZCZ Note Added: 0006295
2018-10-19 08:06 K7ZCZ Fixed in Version => 6.4.0.898
2018-10-19 14:29 g3ucq Note Added: 0006308
2018-11-04 07:49 K7ZCZ Fixed in Version 6.4.0.898 => 6.4.0.900
2018-11-05 12:17 PD9FER Note Added: 0006384
2018-11-05 12:18 WA9PIE Status resolved => closed
2018-11-05 12:18 WA9PIE Testing Not Started => Beta Successful
2018-11-05 12:18 WA9PIE Note Added: 0006385
2018-11-11 00:34 WA9PIE Fixed in Version 6.4.0.900 => 6.4.0.902
2018-11-11 00:34 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe